Package com.smartgwt.client.types

# Enum PanelPlacement

java.lang.Object
java.lang.Enum<PanelPlacement>
com.smartgwt.client.types.PanelPlacement

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PanelPlacement>`, `Constable`

public enum PanelPlacement extends Enum<PanelPlacement> implements ValueEnum
Possible placements for pop-up choosers, menus, dialogs or other temporary UIs, which may need to expand to take up additional room for smaller screens.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILLPANEL`
  fill the nearest containing panel managed by a device-aware layout such as `SplitPane`, which will generally be equivalent to "fillScreen" for a `handset-sized device`.
  `FILLSCREEN`
  fill the entire screen
  `HALFSCREEN`
  fill the bottom half of the screen.
  `NEARORIGIN`
  classic placement for menus, pop-up lists and pickers in desktop interfaces: near the control that was clicked (a search field, `MenuButton`, etc).
  `NONE`
  this setting disables all panelPlacement sizing and positioning logic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PanelPlacement`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PanelPlacement[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEARORIGIN

    public static final PanelPlacement NEARORIGIN
    classic placement for menus, pop-up lists and pickers in desktop interfaces: near the control that was clicked (a search field, `MenuButton`, etc). Note: this setting does not apply when there is no originating control (such as a dialog that appears due to session timeout), in which case centering will generally be used

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "nearOrigin".

  - ### FILLPANEL

    public static final PanelPlacement FILLPANEL
    fill the nearest containing panel managed by a device-aware layout such as `SplitPane`, which will generally be equivalent to "fillScreen" for a `handset-sized device`. Note: this setting does not apply if there is no clear container for the component originating the UI, in which case, "fillScreen" will generally be used.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fillPanel".

  - ### FILLSCREEN

    public static final PanelPlacement FILLSCREEN
    fill the entire screen

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fillScreen".

  - ### HALFSCREEN

    public static final PanelPlacement HALFSCREEN
    fill the bottom half of the screen. This is the default behavior on iOS6/7 for plain HTML <select>, but note that native apps rarely use this interface for picking from lists and it is not generally recommended.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "halfScreen".

  - ### NONE

    public static final PanelPlacement NONE
    this setting disables all panelPlacement sizing and positioning logic. Explicitly specified size and positioning will be used.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static PanelPlacement[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PanelPlacement valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`